function onTalk()
	local location = ""
	local hasgolden = getFlag("flag_golden")
	if arguments and type(arguments) == 'string' then
		location = arguments
	end
	if hasgolden == true then
		wait(0.2)
		teleport(232, 152, "GymHub")
		endCutscene()
	end
	disableMovement()
	choiceDialog({
	{
		"Violet_HardlistGyms_Close",
		onChosen = function ()
				closeChoiceDialog()
		end
	},
	{
		"Violet_HardlistGyms_Hub",
		onChosen = function ()
				teleport(232, 152, "GymHub")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Holdable_loc_0",
		requires =
		function ()
			if location == "Holdable_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(2780, 152, "Holdables")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Holdable_loc_1",
		requires =
		function ()
			if location == "Holdable_1" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(3200	, 152, "Holdables")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Holdable_loc_2",
		requires =
		function ()
			if location == "Holdable_2" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1080, 152, "Holdables")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Holdable_loc_3",
		requires =
		function ()
			if location == "Holdable_3" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1536, 152, "Holdables")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Holdable_loc_4",
		requires =
		function ()
			if location == "Holdable_4" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1800, 0, "Holdables")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	--[[{
		"Violet_GMplusGym_Holdable_loc_5",
		requires =
		function ()
			if location == "Holdable_5" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(2230, 152, "Holdables")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},]]
	{
		"Violet_PlusOneGym_Holdable_loc_6",
		requires =
		function ()
			if location == "Holdable_6" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(2230, 152, "Holdables")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Holdable_loc_7",
		requires =
		function ()
			if location == "Holdable_7" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(5000, 152, "Holdables")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	}
	})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end

